class CreateVideoFiles < ActiveRecord::Migration[6.0]
  def change
    create_table :video_files do |t|
      t.string       :title
      t.text         :description
      t.string       :token
      t.string       :poster
      t.string       :mpg
      t.string       :ogg
      t.string       :webm
      t.string       :youtube_link
      t.string       :youtube_code
      t.references   :video_folder,   index: true
      t.string       :slug
      t.references   :image_file,   index: true
      t.string       :vimeo_code
      t.boolean      :public,   :default => false
      t.datetime     :published_at
      t.integer      :position
      t.boolean      :fr,   :default => true
      t.boolean      :en,   :default => false

      t.timestamps
    end
  end
end
